
plugins {
	kotlin("multiplatform") version "1.7.20"
	`maven-publish`
}

group = "ru.landgrafhomyak.kotlin.utilities"
version = "v1.0k1.7.20"

repositories {
	mavenCentral()
	maven("https://maven.landgrafhomyak.ru/")
}

kotlin {
	explicitApi()

	jvmToolchain(8)
	jvm {
	}
	js(IR) {
		browser()
		nodejs()
	}

	macosArm64()
	macosX64()
	linuxArm32Hfp()
	linuxMips32()
	linuxMipsel32()
	linuxArm64()
	linuxX64()
	mingwX86()
	mingwX64()
	androidNativeArm32()
	androidNativeArm64()
	androidNativeX64()
	androidNativeX86()
	iosArm32()
	iosArm64()
	iosSimulatorArm64()
	iosX64()
	tvosX64()
	tvosArm64()
	tvosSimulatorArm64()
	watchosX64()
	watchosArm32()
	watchosArm64()
	watchosSimulatorArm64()

	sourceSets {
		commonMain {
			dependencies {
			}
		}
	}
}

publishing {
	// other settings of publication
	repositories {
		maven {
			name = "XomrkMaven"
			url = uri("https://git.landgrafhomyak.ru/api/packages/xomrk/maven")

			credentials(HttpHeaderCredentials::class) {
				name = "Authorization"
				value = "token ${System.getenv("XOMRK_MAVEN_REPO_DEPLOY_TOKEN")}"
			}

			authentication {
				create<HttpHeaderAuthentication>("header")
			}
		}
	}
}